// Code generated by protoc-gen-go. DO NOT EDIT.
// source: contacts.proto

/*
Package models is a generated protocol buffer package.

It is generated from these files:
	contacts.proto

It has these top-level messages:
	Contact
*/
package models

import proto "github.com/golang/protobuf/proto"
import fmt "fmt"
import math "math"

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion2 // please upgrade the proto package

type Contact struct {
	Name    string           `protobuf:"bytes,1,opt,name=name" json:"name,omitempty"`
	Address *Contact_Address `protobuf:"bytes,2,opt,name=address" json:"address,omitempty"`
}

func (m *Contact) Reset()                    { *m = Contact{} }
func (m *Contact) String() string            { return proto.CompactTextString(m) }
func (*Contact) ProtoMessage()               {}
func (*Contact) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{0} }

func (m *Contact) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

func (m *Contact) GetAddress() *Contact_Address {
	if m != nil {
		return m.Address
	}
	return nil
}

type Contact_Address struct {
	City      string `protobuf:"bytes,1,opt,name=City" json:"City,omitempty"`
	Street    string `protobuf:"bytes,2,opt,name=Street" json:"Street,omitempty"`
	Building  string `protobuf:"bytes,3,opt,name=Building" json:"Building,omitempty"`
	Apartment string `protobuf:"bytes,4,opt,name=Apartment" json:"Apartment,omitempty"`
}

func (m *Contact_Address) Reset()                    { *m = Contact_Address{} }
func (m *Contact_Address) String() string            { return proto.CompactTextString(m) }
func (*Contact_Address) ProtoMessage()               {}
func (*Contact_Address) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{0, 0} }

func (m *Contact_Address) GetCity() string {
	if m != nil {
		return m.City
	}
	return ""
}

func (m *Contact_Address) GetStreet() string {
	if m != nil {
		return m.Street
	}
	return ""
}

func (m *Contact_Address) GetBuilding() string {
	if m != nil {
		return m.Building
	}
	return ""
}

func (m *Contact_Address) GetApartment() string {
	if m != nil {
		return m.Apartment
	}
	return ""
}

func init() {
	proto.RegisterType((*Contact)(nil), "models.Contact")
	proto.RegisterType((*Contact_Address)(nil), "models.Contact.Address")
}

func init() { proto.RegisterFile("contacts.proto", fileDescriptor0) }

var fileDescriptor0 = []byte{
	// 178 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0xe2, 0xe2, 0x4b, 0xce, 0xcf, 0x2b,
	0x49, 0x4c, 0x2e, 0x29, 0xd6, 0x2b, 0x28, 0xca, 0x2f, 0xc9, 0x17, 0x62, 0xcb, 0xcd, 0x4f, 0x49,
	0xcd, 0x29, 0x56, 0x3a, 0xc8, 0xc8, 0xc5, 0xee, 0x0c, 0x91, 0x12, 0x12, 0xe2, 0x62, 0xc9, 0x4b,
	0xcc, 0x4d, 0x95, 0x60, 0x54, 0x60, 0xd4, 0xe0, 0x0c, 0x02, 0xb3, 0x85, 0x0c, 0xb9, 0xd8, 0x13,
	0x53, 0x52, 0x8a, 0x52, 0x8b, 0x8b, 0x25, 0x98, 0x14, 0x18, 0x35, 0xb8, 0x8d, 0xc4, 0xf5, 0x20,
	0x3a, 0xf5, 0xa0, 0xba, 0xf4, 0x1c, 0x21, 0xd2, 0x41, 0x30, 0x75, 0x52, 0xf9, 0x5c, 0xec, 0x50,
	0x31, 0x90, 0x89, 0xce, 0x99, 0x25, 0x95, 0x30, 0x13, 0x41, 0x6c, 0x21, 0x31, 0x2e, 0xb6, 0xe0,
	0x92, 0xa2, 0xd4, 0xd4, 0x12, 0xb0, 0x81, 0x9c, 0x41, 0x50, 0x9e, 0x90, 0x14, 0x17, 0x87, 0x53,
	0x69, 0x66, 0x4e, 0x4a, 0x66, 0x5e, 0xba, 0x04, 0x33, 0x58, 0x06, 0xce, 0x17, 0x92, 0xe1, 0xe2,
	0x74, 0x2c, 0x48, 0x2c, 0x2a, 0xc9, 0x4d, 0xcd, 0x2b, 0x91, 0x60, 0x01, 0x4b, 0x22, 0x04, 0x92,
	0xd8, 0xc0, 0x5e, 0x32, 0x06, 0x04, 0x00, 0x00, 0xff, 0xff, 0xff, 0xa2, 0x49, 0x2f, 0xe4, 0x00,
	0x00, 0x00,
}
